Subject: Re: [GIT PULL 1/2] arm64: dts: exynos: Pull for v5.4

From: Krzysztof Kozlowski <[email-masked]>
Date: Mon, 30 Sep 2019 10:02:17 +0200

On Sun, Sep 29, 2019 at 10:51:34AM -0700, Olof Johansson wrote:
> Hi,
> 
> On Thu, Sep 12, 2019 at 08:32:47AM +0200, Krzysztof Kozlowski wrote:
> > On Wed, 11 Sep 2019 at 23:07, Arnd Bergmann <[email-masked]> wrote:
> > >
> > > On Wed, Sep 11, 2019 at 8:36 PM Krzysztof Kozlowski <[email-masked]> wrote:
> > > >
> > > > Hi,
> > > >
> > > > Unfortunately the patches were applied right after closing the linux-next.
> > >
> > > Hi Krzysztof,
> > >
> > > I took a look at these and am not convinced this is right:
> > >
> > > > 1. Fix boot of Exynos7 due to wrong address/size of memory node,
> > >
> > > The current state is clearly broken and a fix is needed, but
> > > I'm not sure this is the right fix. Why do you have 32-bit physical
> > > addressing on a 64-bit chip? I looked at commit ef72171b3621
> > > that introduced it, and it seems it would be better to just
> > > revert back to 64-bit addresses.
> > 
> > We discussed with Marek Szyprowski that either we can go back to
> > 64-bit addressing or stick to 32. There are not known boards with more
> > than 4 GB of RAM so from this point of view the choice was irrelevant.
> > At the end of discussion I mentioned to stick with other arm64 boards
> > (although not all), so revert to have 64 bit address... but Marek
> > chosen differently. Since you ask, let's go back with revert.
> > 
> > >
> > > > 2. Move GPU under /soc node,
> > >
> > > No problem
> > >
> > > > 3. Minor cleanup of #address-cells.
> > >
> > > IIRC, an interrupt-controller is required to have a #address-cells
> > > property, even if that is normally zero. I don't remember the
> > > details, but the gic binding lists it as mandatory, and I think
> > > the PCI interrupt-map relies on it. I would just drop this patch.
> > 
> > Indeed, binding requires both address and size cells. I'll drop it.
> 
> Looking through the history of pending material, I didn't see a new pull for
> this material. Just checking in to see if there's something we missed?

No, it's me who forgot to resend. I was sure that I rebased the branch
and created new pull request. However it seems I did not. Let's keep it
for next merge window... v5.4-rc should be any minute, I guess?

Best regards,
Krzysztof

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel